## gazebosim/docs:
- [Add ROS 2 Integration Tutorials](https://github.com/gazebosim/docs/pull/371)
- [Add section on macOS in get started page](https://github.com/gazebosim/docs/pull/346)
- [Add per-library tutorial links to tutorial page](https://github.com/gazebosim/docs/pull/349)
- [Change get_started to recommended Gz version per platform for installations](https://github.com/gazebosim/docs/pull/338)

## gazebosim/gz-cmake:
- [Add support for adding cmake extras to packages](https://github.com/gazebosim/gz-cmake/pull/345)
- [Add optional binary relocatability in downstream libraries](https://github.com/gazebosim/gz-cmake/pull/334)

## gazebosim/gz-common:
- [Add support for bayer images to be saved in a directory](https://github.com/gazebosim/gz-common/pull/498)
- [Add CSV data parsing](https://github.com/gazebosim/gz-common/pull/402)

## gazebosim/gz-fuel-tools:
- [Support link referral download](https://github.com/gazebosim/gz-fuel-tools/pull/333)
- [Reflect pagination of RESTful requests in iterator API ](https://github.com/gazebosim/gz-fuel-tools/pull/350)
- [Remove fuel.ignitionrobotics.org from ClientConfig](https://github.com/gazebosim/gz-fuel-tools/pull/293)

## gazebosim/gz-gui:
- [Add support for bayer images to get displayed in gazebo gui](https://github.com/gazebosim/gz-gui/pull/528)
- [Add Camera FPS plugin](https://github.com/gazebosim/gz-gui/pull/523)
- [Add Vulkan QML backend](https://github.com/gazebosim/gz-gui/pull/467)
- [Set View Camera controller from plugin configuration](https://github.com/gazebosim/gz-gui/pull/506)
- [Add Reset button to world_control](https://github.com/gazebosim/gz-gui/pull/476)
- [Add service for configuring view control sensitivity](https://github.com/gazebosim/gz-gui/pull/504)
- [Add view control reference visual](https://github.com/gazebosim/gz-gui/pull/500)

## gazebosim/gz-launch:
- [Add pause and stop to Websocket Server](https://github.com/gazebosim/gz-launch/pull/187)

## gazebosim/gz-math:
- [MecanumDriveOdometry to handle odometry estimation of Mecanum wheeled models](https://github.com/gazebosim/gz-math/pull/486)
- [Add `std::optional MassMatrix()` functions for Box, Cylinder & Sphere](https://github.com/gazebosim/gz-math/pull/538)
- [Custom PID error rate](https://github.com/gazebosim/gz-math/pull/525)
- [Adds bounds retrieval for TimeVarying grid class.](https://github.com/gazebosim/gz-math/pull/508)

## gazebosim/gz-msgs:
- [Add AirSpeedSensor msgs to Sensor msg](https://github.com/gazebosim/gz-msgs/pull/365)
- [Add python message generation](https://github.com/gazebosim/gz-msgs/pull/362)
- [Add covariance fields to imu message](https://github.com/gazebosim/gz-msgs/pull/333)
- [Add cubemap_uri to sky](https://github.com/gazebosim/gz-msgs/pull/306)
- [Add id and visibility_flags to Projector msg fields](https://github.com/gazebosim/gz-msgs/pull/345)
- [Generate messages in downstream builds](https://github.com/gazebosim/gz-msgs/pull/339)
- [Add new discovery types](https://github.com/gazebosim/gz-msgs/pull/322)
- [Add entity wrench map message](https://github.com/gazebosim/gz-msgs/pull/328)
- [Add airspeed sensor](https://github.com/gazebosim/gz-msgs/pull/321)
- [Add DVL specific messages](https://github.com/gazebosim/gz-msgs/pull/317)

## gazebosim/gz-physics:
- [Mimic constraint feature using bullet-featherstone](https://github.com/gazebosim/gz-physics/pull/517)
- [dartsim: Add support for joints in worlds](https://github.com/gazebosim/gz-physics/pull/501)
- [Bullet featherstone: Add JointTransmittedWrench for F-T sensor](https://github.com/gazebosim/gz-physics/pull/434)
- [Apply gravity external to dartsim for added mass](https://github.com/gazebosim/gz-physics/pull/462)
- [Support fluid added mass](https://github.com/gazebosim/gz-physics/pull/384)
- [Add bullet-featherstone plugin](https://github.com/gazebosim/gz-physics/pull/373)

## gazebosim/gz-rendering:
- [Clean up internal resources on Destroy](https://github.com/gazebosim/gz-rendering/pull/886)
- [Add Projector](https://github.com/gazebosim/gz-rendering/pull/845)
- [Add Support for wide-angle cameras in ogre2](https://github.com/gazebosim/gz-rendering/pull/733)
- [Add support for bayer images to Ogre and Ogre2](https://github.com/gazebosim/gz-rendering/pull/838)
- [Add LensFlare to ogre1](https://github.com/gazebosim/gz-rendering/pull/775)
- [Add LensFlarePass (ogre2 engine)](https://github.com/gazebosim/gz-rendering/pull/752)
- [Calculate camera intrinsics](https://github.com/gazebosim/gz-rendering/pull/755)
- [Initialize wide angle camera pixel format](https://github.com/gazebosim/gz-rendering/pull/735)
- [Fix wrong Z check in OgreWideAngleCamera::Project3d](https://github.com/gazebosim/gz-rendering/pull/746)
- [Global illumination VCT & CI VCT](https://github.com/gazebosim/gz-rendering/pull/675)

## gazebosim/gz-sensors:
- [Populate the covariance fields using the noise models](https://github.com/gazebosim/gz-sensors/pull/333)
- [Add support for bayer images to camera sensor](https://github.com/gazebosim/gz-sensors/pull/336)
- [Add trigger to BoundingBoxCamera](https://github.com/gazebosim/gz-sensors/pull/322)
- [Set custom projection values from SDFormat](https://github.com/gazebosim/gz-sensors/pull/314), also [gz-sensors#293](https://github.com/gazebosim/gz-sensors/pull/293), [gz-sensors#249](https://github.com/gazebosim/gz-sensors/pull/249)
- [Add Camera Info topic support for cameras](https://github.com/gazebosim/gz-sensors/pull/285)
- [Add airspeed sensor](https://github.com/gazebosim/gz-sensors/pull/305)
- [Add DopplerVelocityLog sensor](https://github.com/gazebosim/gz-sensors/pull/290)
- [Update Camera Intrinsics in camera_info topic](https://github.com/gazebosim/gz-sensors/pull/281)
- [Add support for 16 bit image format](https://github.com/gazebosim/gz-sensors/pull/276)
- [Add optional optical frame id to camera sensors](https://github.com/gazebosim/gz-sensors/pull/259)

## gazebosim/gz-sim:
- [Add new MouseDrag plugin](https://github.com/gazebosim/gz-sim/pull/2038), and [gz-sim#2057](https://github.com/gazebosim/gz-sim/pull/2057)
- [Apply Force and Torque GUI plugin](https://github.com/gazebosim/gz-sim/pull/2014), [gz-sim#2026](https://github.com/gazebosim/gz-sim/pull/2026), [gz-sim#2056](https://github.com/gazebosim/gz-sim/pull/2056), [gz-sim#2051](https://github.com/gazebosim/gz-sim/pull/2051)
- [Add support for writing systems in Python](https://github.com/gazebosim/gz-sim/pull/2081)
- [Add examples showing how to use gz-transport python bindings](https://github.com/gazebosim/gz-sim/pull/2044)
- [Adds bindings for the Joint convenience class](https://github.com/gazebosim/gz-sim/pull/2040)
- [Adds Python bindings for convenience class (Actor, Joint, Link, Model, Sensor, World](https://github.com/gazebosim/gz-sim/pull/2043), [gz-sim#2041](https://github.com/gazebosim/gz-sim/pull/2041), [gz-sim#2042](https://github.com/gazebosim/gz-sim/pull/2042), [gz-sim#2039](https://github.com/gazebosim/gz-sim/pull/2039), [gz-sim#2036](https://github.com/gazebosim/gz-sim/pull/2036), [gz-sim#2035](https://github.com/gazebosim/gz-sim/pull/2035)
- [Include contact force, normal, and depth in contact message](https://github.com/gazebosim/gz-sim/pull/2050)
- [Use new sky cubemap, instead of header](https://github.com/gazebosim/gz-sim/pull/2060)
- [ComponentInspector: display PhysicsEnginePlugin](https://github.com/gazebosim/gz-sim/pull/2032)
- [Odometry topic for the track controller system](https://github.com/gazebosim/gz-sim/pull/2021)
- [Sensors system threading optimization changes](https://github.com/gazebosim/gz-sim/pull/2058)
- [Support loading mesh by mesh name in `<mesh><uri>`](https://github.com/gazebosim/gz-sim/pull/2007)
- [Add support for mimic joints (only available with bullet-featherstone physics engine)](https://github.com/gazebosim/gz-sim/pull/1838)
- [Automatically compute the Moment of Inertia of Meshes](https://github.com/gazebosim/gz-sim/pull/2061)
- [Add deadband to thrusters](https://github.com/gazebosim/gz-sim/pull/1927)
- [Support world joints (joints inside `<world>` tags)](https://github.com/gazebosim/gz-sim/pull/1949)
- [Support loading Projectors](https://github.com/gazebosim/gz-sim/pull/1979)
- [Speed up Resource Spawner load time by fetching model list asynchronously](https://github.com/gazebosim/gz-sim/pull/1962)
- [Use new `Actuators` message input for JointController, JointPositionController, and Ackerman Steering plugins](https://github.com/gazebosim/gz-sim/pull/1953), [gz-sim#1954](https://github.com/gazebosim/gz-sim/pull/1954), and [gz-sim#1952](https://github.com/gazebosim/gz-sim/pull/1952)
- [Allow re-attaching detached joint](https://github.com/gazebosim/gz-sim/pull/1687)
- [Add more tutorials on migrating from gazebo classic](https://github.com/gazebosim/gz-sim/pull/1930), [gz-sim#1929](https://github.com/gazebosim/gz-sim/pull/1929), [gz-sim#1925](https://github.com/gazebosim/gz-sim/pull/1925), [gz-sim#1931](https://github.com/gazebosim/gz-sim/pull/1931)
- [Add DopplerVelocityLogSystem plugin](https://github.com/gazebosim/gz-sim/pull/1804)
- [Add more convenience classes (Light, Actor, Sensor](https://github.com/gazebosim/gz-sim/pull/1918), [gz-sim#1913](https://github.com/gazebosim/gz-sim/pull/1913), [gz-sim#1912](https://github.com/gazebosim/gz-sim/pull/1912), [gz-sim#1910](https://github.com/gazebosim/gz-sim/pull/1910)
- [Allow to change camera user hfov in camera_view plugin](https://github.com/gazebosim/gz-sim/pull/1807)
- [Allow specifying initial simulation time with a CLI argument](https://github.com/gazebosim/gz-sim/pull/1801)
- [Add SensorTopic component to rendering sensors](https://github.com/gazebosim/gz-sim/pull/1908)
- [Add Lens Flare System](https://github.com/gazebosim/gz-sim/pull/1933)
- [Fluid added mass](https://github.com/gazebosim/gz-sim/pull/1592)
- [Add airspeed sensor](https://github.com/gazebosim/gz-sim/pull/1847)
- [Add CLI to switch to Vulkan & Metal backends](https://github.com/gazebosim/gz-sim/pull/1735)
- [Enable the JointController and JointPositionController to use sub_topics and control multiple joints.](https://github.com/gazebosim/gz-sim/pull/1861)
- [Ackermann steering with steering angle and sub_topic.](https://github.com/gazebosim/gz-sim/pull/1860)
- [Allow using a CSV file to define currents for hydrodynamic system](https://github.com/gazebosim/gz-sim/pull/1839)
- [Add multichannel lookup for environment sensors.](https://github.com/gazebosim/gz-sim/pull/1814)
- [Adds support for hydrodynamic cross terms](https://github.com/gazebosim/gz-sim/pull/1784)
- [Add EnvironmentalData component](https://github.com/gazebosim/gz-sim/pull/1616)
- [Adds a tool for environment data visualization and custom environmental sensors](https://github.com/gazebosim/gz-sim/pull/1798)
- [GUI for Global Illumination (VCT / CI VCT)](https://github.com/gazebosim/gz-sim/pull/1597)
- [Add interface to allow systems to declare parameters](https://github.com/gazebosim/gz-sim/pull/1431)
- [Add spin box to View Angle plugin for configuring view control sensitivity](https://github.com/gazebosim/gz-sim/pull/1799)
- [Allow to move to model from Angle view plugin](https://github.com/gazebosim/gz-sim/pull/1810)
- [Allow loading a model SDF file in the Server class, and from the command line](https://github.com/gazebosim/gz-sim/pull/1775)
- [Enable/Disable individual hydrodynamic components.](https://github.com/gazebosim/gz-sim/pull/1692)
- [Add checkbox in view angle plugin for toggling view control reference visual](https://github.com/gazebosim/gz-sim/pull/1788)
- [Adds a tool for environment data visualization](https://github.com/gazebosim/gz-sim/pull/1748)
- [Add support for Acoustic comms](https://github.com/gazebosim/gz-sim/pull/1755), [gz-sim#1793](https://github.com/gazebosim/gz-sim/pull/1793)
- [Adding thrust coefficient calculation](https://github.com/gazebosim/gz-sim/pull/1652)
- [Set seed value using CLI](https://github.com/gazebosim/gz-sim/pull/1618)
- [Optimize render updates and use of thread mutexes in Sensors system](https://github.com/gazebosim/gz-sim/pull/1938)
- [Add magnetometer value based on location](https://github.com/gazebosim/gz-sim/pull/1907)
- [JointPosController: support nested joints](https://github.com/gazebosim/gz-sim/pull/1851)
- [Add P gain value for Ackermann steering](https://github.com/gazebosim/gz-sim/pull/1873)
- [Add orientation to Odom with covariance.](https://github.com/gazebosim/gz-sim/pull/1876)
- [Add support for specifying log record period](https://github.com/gazebosim/gz-sim/pull/1636)

## gazebosim/gz-transport:
- [Python Bindings for Publisher, Subscriber and Service Request features.](https://github.com/gazebosim/gz-transport/pull/411)
- [Show subscribers info when running topic info](https://github.com/gazebosim/gz-transport/pull/384)
- [List subscribed topics when running topic list](https://github.com/gazebosim/gz-transport/pull/379)
- [Add Node::RequestRaw](https://github.com/gazebosim/gz-transport/pull/351)
- [Pass std::function by value to Node::Subscribe](https://github.com/gazebosim/gz-transport/pull/382)
- [Add parameters component](https://github.com/gazebosim/gz-transport/pull/305)

## gazebosim/gz-utils:
- [Add a utility for spawning subprocesses](https://github.com/gazebosim/gz-utils/pull/98)

## gazebosim/ros_gz:
- New message bridges:
  - [Altimeter](https://github.com/gazebosim/ros_gz/pull/413)
  - [SensorNoise](https://github.com/gazebosim/ros_gz/pull/417)
  - [PoseWithCovarianceStamped](https://github.com/gazebosim/ros_gz/pull/381)
  - [TwistWithCovarianceStamped](https://github.com/gazebosim/ros_gz/pull/374)
  - [Actuator_msgs](https://github.com/gazebosim/ros_gz/pull/378)
  - [WrenchStamped](https://github.com/gazebosim/ros_gz/pull/327)
  - [Joy](https://github.com/gazebosim/ros_gz/pull/350)
  - [GPSFix](https://github.com/gazebosim/ros_gz/pull/316)
  - [Pose_V](https://github.com/gazebosim/ros_gz/pull/305)
  - [Float_V](https://github.com/gazebosim/ros_gz/pull/306)
- [Add QoS profile parameter to image bridge](https://github.com/gazebosim/ros_gz/pull/335)

## gazebosim/ros_gz_project_template:
- [Add rrbot example setup & update readme](https://github.com/gazebosim/ros_gz_project_template/pull/9)

## gazebosim/sdformat:
- [New specification version 1.11](https://github.com/gazebosim/sdformat/pull/1298)
- [Add python bindings for `sdf::Element` and `sdf::Param`](https://github.com/gazebosim/sdformat/pull/1303)
- [Update function to use sdf::Errors output instead of printing to the console](https://github.com/gazebosim/sdformat/pull/1294), [sdformat#1153](https://github.com/gazebosim/sdformat/pull/1153), [sdformat#1164](https://github.com/gazebosim/sdformat/pull/1164), [sdformat#1163](https://github.com/gazebosim/sdformat/pull/1163), [sdformat#1162](https://github.com/gazebosim/sdformat/pull/1162), [sdformat#1161](https://github.com/gazebosim/sdformat/pull/1161), [sdformat#1160](https://github.com/gazebosim/sdformat/pull/1160), [sdformat#1159](https://github.com/gazebosim/sdformat/pull/1159), [sdformat#1158](https://github.com/gazebosim/sdformat/pull/1158), [sdformat#1157](https://github.com/gazebosim/sdformat/pull/1157), [sdformat#1156](https://github.com/gazebosim/sdformat/pull/1156), [sdformat#1155](https://github.com/gazebosim/sdformat/pull/1155), [sdformat#1154](https://github.com/gazebosim/sdformat/pull/1154), [sdformat#1145](https://github.com/gazebosim/sdformat/pull/1145), [sdformat#1151](https://github.com/gazebosim/sdformat/pull/1151), [sdformat#1144](https://github.com/gazebosim/sdformat/pull/1144), [sdformat#1141](https://github.com/gazebosim/sdformat/pull/1141), [sdformat#1152](https://github.com/gazebosim/sdformat/pull/1152), [sdformat#1140](https://github.com/gazebosim/sdformat/pull/1140), [sdformat#1138](https://github.com/gazebosim/sdformat/pull/1138), [sdformat#1135](https://github.com/gazebosim/sdformat/pull/1135), [sdformat#1123](https://github.com/gazebosim/sdformat/pull/1123), [sdformat#1122](https://github.com/gazebosim/sdformat/pull/1122)
- [Joint axis mimic constraints: add `sdf` element](https://github.com/gazebosim/sdformat/pull/1166)
- [Automatic Moment of Inertia Calculations](https://github.com/gazebosim/sdformat/pull/1299), [sdformat#1304](https://github.com/gazebosim/sdformat/pull/1304), [sdformat#1299](https://github.com/gazebosim/sdformat/pull/1299), [sdformat#1304](https://github.com/gazebosim/sdformat/pull/1304), [sdformat#1317](https://github.com/gazebosim/sdformat/pull/1317)
- [Add projector Python wrapper](https://github.com/gazebosim/sdformat/pull/1279)
- [Add Projector DOM](https://github.com/gazebosim/sdformat/pull/1277)
- [Add Airspeed sensor](https://github.com/gazebosim/sdformat/pull/1215)
- [Add support for merge-includes in worlds](https://github.com/gazebosim/sdformat/pull/1233)
- [Port embedSdf script from Ruby to Python3](https://github.com/gazebosim/sdformat/pull/884)
- [Add HasLensProjection to `sdf::Camera`](https://github.com/gazebosim/sdformat/pull/1203)
- [Add camera info topic to Camera](https://github.com/gazebosim/sdformat/pull/1198)
- [Check JointAxis expressed-in values during Load](https://github.com/gazebosim/sdformat/pull/1195)
- [Add Root::WorldByName](https://github.com/gazebosim/sdformat/pull/1121)
- [Check World joints in checkJointParentChildNames](https://github.com/gazebosim/sdformat/pull/1189)
- [Add a configuration option to resolve URIs](https://github.com/gazebosim/sdformat/pull/1147)
- [sdf/1.10: support //world/joint specification](https://github.com/gazebosim/sdformat/pull/1117)
- [parser_urdf: add //frame for reduced links/joints](https://github.com/gazebosim/sdformat/pull/1148)
